## cascading.operation.assertion
Class AssertGroupSizeMoreThan

    java.lang.Object
      cascading.operation.BaseOperation<C>
          cascading.operation.assertion.BaseAssertion<AssertGroupBase.Context>
              cascading.operation.assertion.AssertGroupBase
                  cascading.operation.assertion.AssertGroupSizeMoreThan

All Implemented Interfaces:
  DeclaresResults, Assertion<AssertGroupBase.Context>, GroupAssertion<AssertGroupBase.Context>, Operation<AssertGroupBase.Context>, PlannedOperation<AssertGroupBase.Context>, Traceable, Serializable

    public class AssertGroupSizeMoreThan

extends AssertGroupBase

Class AssertGroupSizeEquals is an `GroupAssertion` that asserts the number of items in the current group is more than the given size.

If a patternString is given, only grouping keys that match the regular expression will have this assertion applied. Note multiple key values will be delimited by a tab character.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.operation.assertion.AssertGroupBase
`AssertGroupBase.Context`

Field Summary

Fields inherited from class cascading.operation.assertion.AssertGroupBase
`patternString, size`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`AssertGroupSizeMoreThan(long size)` Constructor AssertGroupSizeMoreThan creates a new AssertGroupSizeMoreThan instance.
`AssertGroupSizeMoreThan(String patternString, long size)` Constructor AssertGroupSizeMoreThan creates a new AssertGroupSizeMoreThan instance.

Method Summary
`protected boolean` `assertFails(Long groupSize)`
`long` `getSize()`

Methods inherited from class cascading.operation.assertion.AssertGroupBase
`aggregate, doAssert, equals, getPatternString, hashCode, prepare, start`

Methods inherited from class cascading.operation.assertion.BaseAssertion
`fail, fail, getMessage, supportsPlannerLevel, throwFail, throwFail`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.PlannedOperation
`supportsPlannerLevel`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

Constructor Detail

### AssertGroupSizeMoreThan

    @ConstructorProperties(value="size")
    public AssertGroupSizeMoreThan(long size)

  Constructor AssertGroupSizeMoreThan creates a new AssertGroupSizeMoreThan instance.

  Parameters:
    `size` - of type long

### AssertGroupSizeMoreThan

    @ConstructorProperties(value={"patternString","size"})
    public AssertGroupSizeMoreThan(String patternString,
                                                              long size)

  Constructor AssertGroupSizeMoreThan creates a new AssertGroupSizeMoreThan instance.

  Parameters:
    `patternString` - of type String
    `size` - of type long

Method Detail

### getSize

    public long getSize()

  Overrides:
    `getSize` in class `AssertGroupBase`

### assertFails

    protected boolean assertFails(Long groupSize)

  Specified by:
    `assertFails` in class `AssertGroupBase`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.